package com.global.iop.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.global.iop.util.IopHashMap;
import java.util.HashMap;
import java.util.Map;

public class RequestContext {
  private String requestUrl;
  
  private String responseBody;
  
  private String apiName;
  
  private IopHashMap commonParams;
  
  private IopHashMap queryParams;
  
  public String getRequestUrl() {
    return this.requestUrl;
  }
  
  public void setRequestUrl(String requestUrl) {
    this.requestUrl = requestUrl;
  }
  
  public String getResponseBody() {
    return this.responseBody;
  }
  
  public void setResponseBody(String responseBody) {
    this.responseBody = responseBody;
  }
  
  public IopHashMap getQueryParams() {
    return this.queryParams;
  }
  
  public void setQueryParams(IopHashMap queryParams) {
    this.queryParams = queryParams;
  }
  
  public String getApiName() {
    return this.apiName;
  }
  
  public void setApiName(String apiName) {
    this.apiName = apiName;
  }
  
  public IopHashMap getCommonParams() {
    return this.commonParams;
  }
  
  public void setCommonParams(IopHashMap commonParams) {
    this.commonParams = commonParams;
  }
  
  public Map<String, String> getAllParams() {
    Map<String, String> params = new HashMap<String, String>();
    if (this.commonParams != null && !this.commonParams.isEmpty())
      params.putAll((Map<? extends String, ? extends String>)this.commonParams); 
    if (this.queryParams != null && !this.queryParams.isEmpty())
      params.putAll((Map<? extends String, ? extends String>)this.queryParams); 
    return params;
  }
}
